"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@nestjs/core");
const app_module_1 = require("./app.module");
const swagger_1 = require("@nestjs/swagger");
async function bootstrap() {
    const app = await core_1.NestFactory.create(app_module_1.AppModule);
    const config = new swagger_1.DocumentBuilder()
        .setTitle('API documentacion')
        .setDescription('Microservicio dedicado al envío de Notificaciones')
        .setVersion('1.0')
        .addTag('notificaciones')
        .build();
    const document = swagger_1.SwaggerModule.createDocument(app, config);
    swagger_1.SwaggerModule.setup('documentacion', app, document);
    await app.listen(3000);
    console.log("Microservicio iniciado.");
}
bootstrap();
//# sourceMappingURL=main.js.map