"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificacionesController = void 0;
const common_1 = require("@nestjs/common");
const notificaciones_service_1 = require("./notificaciones.service");
const sendNotification_dto_1 = require("./dto/sendNotification.dto");
const swagger_1 = require("@nestjs/swagger");
let NotificacionesController = class NotificacionesController {
    constructor(notificacionesService) {
        this.notificacionesService = notificacionesService;
    }
    async sendNotification(response, data) {
        if (data.hasOwnProperty('token') && data.hasOwnProperty('mensaje') && data.hasOwnProperty('titulo')) {
            if (data.token == null || data.token == "" || data.mensaje == null || data.mensaje == "") {
                const error = {
                    status: "error",
                    message: "Ha ocurrido un error. Inténtalo de nuevo."
                };
                console.warn("Warning {/notificaciones/sendNotification,POST} {Parámetros incorrectos}.");
                return response.status(common_1.HttpStatus.BAD_REQUEST).send(error);
            }
            else {
                const responseApi = await this.notificacionesService.sendNotification(data);
                if (responseApi[0].status == "error") {
                    console.error(`Error {/notificaciones/sendNotification,POST} ${responseApi[0].message}`);
                    return response.status(common_1.HttpStatus.BAD_REQUEST).send(responseApi[0]);
                }
                else {
                    console.log(`Success {/notificaciones/sendNotification,POST}`);
                    return response.status(common_1.HttpStatus.OK).send(responseApi[0]);
                }
            }
        }
        else {
            const error = {
                status: "error",
                message: "Ha ocurrido un error. Inténtalo de nuevo."
            };
            console.warn("Warning {/notificaciones/sendNotification,POST} {Parámetros incompletos}.");
            return response.status(common_1.HttpStatus.BAD_REQUEST).send(error);
        }
    }
    async sendMultipleNotification(response, data) {
        const body = data.data[0];
        if (body.hasOwnProperty('to') && body.hasOwnProperty('body')) {
            if (body.to == null || body.to == "" || body.body == null || body.body == "") {
                const error = {
                    status: "error",
                    message: "Ha ocurrido un error. Parámetros incorrectos. Inténtalo de nuevo."
                };
                console.warn("Warning {/notificaciones/sendMultipleNotification,POST} {Parámetros incorrectos}.");
                return response.status(common_1.HttpStatus.OK).send(error);
            }
            else {
                const responseApi = await this.notificacionesService.sendMultipleNotification(body);
                if (responseApi[0].status == "error") {
                    console.error(`Error {/notificaciones/sendMultipleNotification,POST} ${responseApi[0].message}`);
                    return response.status(common_1.HttpStatus.OK).send(responseApi[0]);
                }
                else {
                    console.log(`Success {/notificaciones/sendMultipleNotification,POST}`);
                    return response.status(common_1.HttpStatus.OK).send(responseApi[0]);
                }
            }
        }
        else {
            const error = {
                status: "error",
                message: "Ha ocurrido un error. Parámetros incompletos. Inténtalo de nuevo."
            };
            console.warn("Warning {/notificaciones/sendMultipleNotification,POST} {Parámetros incompletos}.");
            return response.status(common_1.HttpStatus.OK).send(error);
        }
    }
};
exports.NotificacionesController = NotificacionesController;
__decorate([
    (0, common_1.Post)('sendNotification'),
    (0, common_1.HttpCode)(201),
    (0, swagger_1.ApiCreatedResponse)({
        description: 'Se envió la notificación.',
    }),
    (0, swagger_1.ApiBadRequestResponse)({ description: 'Ha ocurrido un error. Inténtalo de nuevo.' }),
    __param(0, (0, common_1.Res)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, sendNotification_dto_1.SendNotificationDto]),
    __metadata("design:returntype", Promise)
], NotificacionesController.prototype, "sendNotification", null);
__decorate([
    (0, common_1.Post)('sendMultipleNotification'),
    (0, common_1.HttpCode)(201),
    (0, swagger_1.ApiCreatedResponse)({
        description: 'Se envió la notificación.',
    }),
    (0, swagger_1.ApiBadRequestResponse)({ description: 'Ha ocurrido un error. Inténtalo de nuevo.' }),
    __param(0, (0, common_1.Res)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, sendNotification_dto_1.sendMultipleNotification]),
    __metadata("design:returntype", Promise)
], NotificacionesController.prototype, "sendMultipleNotification", null);
exports.NotificacionesController = NotificacionesController = __decorate([
    (0, swagger_1.ApiTags)('notificaciones'),
    (0, common_1.Controller)('notificaciones'),
    __metadata("design:paramtypes", [notificaciones_service_1.NotificacionesService])
], NotificacionesController);
//# sourceMappingURL=notificaciones.controller.js.map