"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificacionesService = void 0;
const common_1 = require("@nestjs/common");
const expo_server_sdk_1 = require("expo-server-sdk");
let NotificacionesService = class NotificacionesService {
    async sendNotification(data) {
        const expo = new expo_server_sdk_1.Expo();
        const token = data.token;
        let titulo = "";
        if (data.titulo == null || data.titulo == "") {
            titulo = "Notificación";
        }
        else {
            titulo = data.titulo;
        }
        const mensaje = data.mensaje;
        const response = expo.sendPushNotificationsAsync([
            {
                to: token,
                title: titulo,
                body: mensaje
            }
        ]);
        return response;
    }
    async sendMultipleNotification(data) {
        const expo = new expo_server_sdk_1.Expo();
        const tokens = data.to;
        let titulo = "";
        if (data.titulo == null || data.titulo == "") {
            titulo = "Notificación";
        }
        else {
            titulo = data.titulo;
        }
        const mensaje = data.body;
        const response = expo.sendPushNotificationsAsync([
            {
                to: tokens,
                title: titulo,
                body: mensaje
            }
        ]);
        return response;
    }
};
exports.NotificacionesService = NotificacionesService;
exports.NotificacionesService = NotificacionesService = __decorate([
    (0, common_1.Injectable)()
], NotificacionesService);
//# sourceMappingURL=notificaciones.service.js.map