import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { NotificacionesModule } from './notificaciones/notificaciones.module';
import { ThrottlerGuard, ThrottlerModule } from '@nestjs/throttler';
import { APP_GUARD } from '@nestjs/core';
import { LoggerService } from './logger/logger.service';

@Module({
  imports: [
    ThrottlerModule.forRoot([{
      ttl: 6000,
      limit: 200,
    }]),
    NotificacionesModule,
  ],
  controllers: [AppController],
  providers: [
    AppService,
    {
      provide: APP_GUARD,
      useClass: ThrottlerGuard,
    },
    LoggerService
  ],
})
export class AppModule { }
