import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { DocumentBuilder, SwaggerModule } from '@nestjs/swagger';

async function bootstrap() {
  const app = await NestFactory.create(AppModule);
  //Bloque para swagger
  const config = new DocumentBuilder()
    .setTitle('API documentacion')
    .setDescription('Microservicio dedicado al envío de Notificaciones')
    .setVersion('1.0')
    .addTag('notificaciones')
    .build();
  const document = SwaggerModule.createDocument(app, config);
  SwaggerModule.setup('documentacion', app, document);

  //puerto del microservicio
  await app.listen(3000);
  console.log("Microservicio iniciado.");
}
bootstrap();
