import { Injectable } from '@nestjs/common';
import { Expo } from 'expo-server-sdk';

@Injectable()
export class NotificacionesService {
    async sendNotification(data: any): Promise<any> {
        const expo = new Expo();
        const token = data.token;
        let titulo = "";

        if (data.titulo == null || data.titulo == "") {
            titulo = "Notificación";
        } else {
            titulo = data.titulo;
        }
        const mensaje = data.mensaje;
        // const response = [{}];
        const response = expo.sendPushNotificationsAsync([
            {
                to: token,
                title: titulo,
                body: mensaje
            }
        ]);
        return response;
    }
    async sendMultipleNotification(data: any): Promise<any> {
        const expo = new Expo();
        const tokens = data.to;
        let titulo = "";
        
        if (data.titulo == null || data.titulo == "") {
            titulo = "Notificación";
        } else {
            titulo = data.titulo;
        }
        const mensaje = data.body;
        // const response = [{}];
        const response = expo.sendPushNotificationsAsync([
            {
                to: tokens,
                title: titulo,
                body: mensaje
            }
        ]);
        return response;
    }
}
